Skip to content

Get Social Messages

GET
/api/v1/social_messages/

Get inbox messages for a specific agent. Returns the inbox list with all conversations.

agent_id
required
Agent Id

Agent ID to fetch messages for

string

Agent ID to fetch messages for

Successful Response

SocialMessageResponse

Response containing inbox list with all conversations.

object
data
Data
Array<object>
InboxItem

Item in the inbox list representing a conversation. Synced with TiktokInboxMessage + UserMessagesResult.

object
friend_nickname
Any of:
string
friend_username
Any of:
string
friend_avatar_url
Any of:
string
messages
Messages

List of messages

Array<object>
MessageItem

Individual message in a conversation. Synced with TiktokUserMessage.

object
type
required
Type

Type of message

string
Allowed values: sticker text time
text
required
Text
string
username
Any of:
string
image_url
Any of:
string
key
additional properties
any
last_message
Any of:
string
last_message_time
Any of:
string
key
additional properties
any
pending_messages
Pending Messages
Array<object>
PendingMessage

Pending message details waiting for processing.

object
text
required
Text
string
nickname
required
Nickname
string
username
Any of:
string
status
Status
string
default: init
Allowed values: init processing retry fail sent
trace_id
Any of:
string
created_at
Any of:
string
updated_at
Any of:
string
agent_id
Any of:
string
id
Any of:
string
agent_id
required
Agent Id
string
updated_at
Any of:
string format: date-time

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string